Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.TimeBase
Class IntervalTHelper

    java.lang.Object
      |
      +--org.omg.TimeBase.IntervalTHelper

public class IntervalTHelper
extends java.lang.Object

Helper class for : IntervalT

Author:
  OpenORB Compiler

Constructor Summary
`IntervalTHelper()`

Method Summary
`static IntervalT` | `extract(Any a)` Extract IntervalT from an any
`static java.lang.String` | `id()` Return the IntervalT IDL ID
`static void` | `insert(Any a, IntervalT t)` Insert IntervalT into an any
`static IntervalT` | `read(InputStream istream)` Read IntervalT from a marshalled stream
`static TypeCode` | `type()` Return the IntervalT TypeCode
`static void` | `write(OutputStream ostream, IntervalT value)` Write IntervalT into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntervalTHelper

    public IntervalTHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IntervalT t)

  Insert IntervalT into an any
  Parameters:
    `a` - an any
    `t` - IntervalT value

### extract

    public static IntervalT extract(Any a)

  Extract IntervalT from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IntervalT value

### type

    public static TypeCode type()

  Return the IntervalT TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IntervalT IDL ID
  Returns:
    an ID

### read

    public static IntervalT read(InputStream istream)

  Read IntervalT from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IntervalT value

### write

    public static void write(OutputStream ostream,
                             IntervalT value)

  Write IntervalT into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IntervalT value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD